#!/bin/sh
## console setup (Disable Ctrl-S, Ctlr-Q)
/usr/sbin/stty -ixon -ixoff
## mount filesystems
/sbin/mount -a
## loopback interface
/usr/sbin/ifconfig lo 127.0.0.1
## for bridge
echo 0 >/proc/sys/net/bridge/bridge-nf-call-arptables
echo 0 >/proc/sys/net/bridge/bridge-nf-call-ip6tables
echo 0 >/proc/sys/net/bridge/bridge-nf-call-iptables
echo 0 >/proc/sys/net/bridge/bridge-nf-filter-vlan-tagged
echo 1 >/proc/sys/net/ipv4/ip_forward

## for nfs
/sbin/portmap
## starting system daemons
PATH=/usr/sbin:/bin /sbin/su admin -c /etc/config/syslog.conf
klogd
inetd
telnetd
## starting cron
mkdir -m 0700 /tmp/crond
crond -c /tmp/crond
## load drivers
cd /lib/modules
/sbin/insmod device_info.ko
/sbin/insmod spidrv.ko
/sbin/insmod fpga.ko
/sbin/insmod irqdrv.ko
cd /
## suppress kernel messages to console
echo 0 > /proc/sys/kernel/printk
mkdir -m 0733 /tmp/mux
mkdir -m 0755 /tmp/config
## reset passwords if requested
if [ $(cat /proc/device/reset_password) = 1 ]
then
echo "Setting default passwords."
tar -xz shadow -f /usr/conf/default-config.tar.gz -O > etc/shadow
fi
## ask user for discarding configuration
echo
echo
echo Press 'S' to skip startup config:
echo
timeout=3
userkey=
read -s -n 1 -t $timeout userkey
if [ a$userkey == as ] || [ a$userkey == aS ]
then
echo Discarding startup configuration...
# run shell daemon with no startup-config
/sbin/muxd -n
else
# run shell daemon and user configuration script
/sbin/muxd
PATH=/usr/sbin:/bin /sbin/su admin -c /etc/config/netconfig.sh
fi
